import BaseElementProcessor from './baseElementProcessor';
declare class AddressProcessor extends BaseElementProcessor {
    onReady(extraParam: {
        [key: string]: any;
    }): void;
    parameterInitAndCheck(): void;
    beforeMount(): void;
    preload(): void;
    generateIframeSrc({ link, instanceId }: {
        link: any;
        instanceId: any;
    }): string;
    obtainData(): any;
    getValue(hasValidate?: boolean): any;
    update({ data, paymentSessionData }: {
        data: any;
        paymentSessionData: any;
    }): void;
}
export default AddressProcessor;
